#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: criterion
version: 1.5.1.0
id: criterion-1.5.1.0-4Uhz6GLCMhR9JRnmFfnjmp
key: criterion-1.5.1.0-4Uhz6GLCMhR9JRnmFfnjmp
license: BSD-3-Clause
copyright: 2009-2016 Bryan O'\''Sullivan and others
maintainer: Ryan Scott <ryan.gl.scott@gmail.com>
author: Bryan O'\''Sullivan <bos@serpentine.com>
homepage: http://www.serpentine.com/criterion
synopsis: Robust, reliable performance measurement and analysis
description:
    This library provides a powerful but simple way to measure software
    performance.  It provides both a framework for executing and
    analysing benchmarks and a set of driver functions that makes it
    easy to build and run benchmarks, and to analyse their results.
    .
    The fastest way to get started is to read the
    <http://www.serpentine.com/criterion/tutorial.html online tutorial>,
    followed by the documentation and examples in the "Criterion.Main"
    module.
    .
    For examples of the kinds of reports that criterion generates, see
    <http://www.serpentine.com/criterion the home page>.
category: Development, Performance, Testing, Benchmarking
abi: d06bfc706d275ddee09b1f168d31033e
exposed: True
exposed-modules:
    Criterion Criterion.Analysis Criterion.IO Criterion.IO.Printf
    Criterion.Internal Criterion.Main Criterion.Main.Options
    Criterion.Monad Criterion.Report Criterion.Types
hidden-modules: Criterion.Monad.Internal Paths_criterion
import-dirs: /usr/lib/ghc-8.4.3/site-local/criterion-1.5.1.0
library-dirs: /usr/lib/ghc-8.4.3/site-local/criterion-1.5.1.0
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/haskell-criterion
hs-libraries: HScriterion-1.5.1.0-4Uhz6GLCMhR9JRnmFfnjmp
depends:
    aeson-1.4.0.0-LGp6kTtgO3W1vagljwPVLq
    ansi-wl-pprint-0.6.8.2-7B8xc0qlXvTAz6Bn23TdpB base-4.11.1.0
    base-compat-batteries-0.10.1-AUs9ldGqZdKKvtSVvl9E7e binary-0.8.5.1
    bytestring-0.10.8.2 cassava-0.5.1.0-2cdeuU0x1nuAqw5pMUipvm
    code-page-0.1.3-78bf3rlibAi1l7KbTfbq3V containers-0.5.11.0
    criterion-measurement-0.1.1.0-Bq2tomsVWfNALHmGRUl9Xn
    deepseq-1.4.3.0 directory-1.3.1.5
    exceptions-0.10.0-7FqenMMTX3xHtUICKpGQUY filepath-1.4.2
    Glob-0.9.2-3Zs77lDsvOBGMOZZxpfXfB
    microstache-1.0.1.1-8V5enAA7Kv91pazNdLtQ6e
    js-flot-0.8.3-Bsjxmw7L5o0BiJSkgBCarQ
    js-jquery-3.3.1-9aeOjv2xLoam8cMk011zx mtl-2.2.2
    mwc-random-0.14.0.0-G3WB7Ur1ZQJ5WcBeaI4Sue
    optparse-applicative-0.14.2.0-HP9LUm9H1yn1LWZqqMzXaQ
    parsec-3.1.13.0 statistics-0.14.0.2-3g4u3jyGQ0j9YMys4ch34s
    text-1.2.3.0 time-1.8.0.2 transformers-0.5.5.0
    transformers-compat-0.6.2-EZ0ZvADLUlc4V8RuKaJX5W
    vector-0.12.0.1-1fezwShzdEfG3Hp1Pmvjkq
    vector-algorithms-0.7.0.4-5IwVwgBYaiLHifekCoPTVl
abi-depends: aeson-1.4.0.0-LGp6kTtgO3W1vagljwPVLq=0bddb8c122a0181e324f08c1b045cf5c
             ansi-wl-pprint-0.6.8.2-7B8xc0qlXvTAz6Bn23TdpB=3f10b2698b6bc7ef56b046a5e3421105
             base-4.11.1.0=9da3f387598d41928f3ebf8097acf9b3
             base-compat-batteries-0.10.1-AUs9ldGqZdKKvtSVvl9E7e=842c864979107fe066d13bf08dc82f4d
             binary-0.8.5.1=758db3c95031800de821949083b71c7f
             bytestring-0.10.8.2=76943c00398d547fb172e56c2f93c635
             cassava-0.5.1.0-2cdeuU0x1nuAqw5pMUipvm=a7819efec66477d2fc46874b4fd6a979
             code-page-0.1.3-78bf3rlibAi1l7KbTfbq3V=79049f84d9ede2f2865e34c7a6dfc923
             containers-0.5.11.0=7795138514357bd2e41eaf59b6cfce4f
             criterion-measurement-0.1.1.0-Bq2tomsVWfNALHmGRUl9Xn=0bcd16ffeebc6e15bdba4aada6fdbb61
             deepseq-1.4.3.0=00d8faa7363cb0be9acd709ef6549e22
             directory-1.3.1.5=e563da47c8e71ee27761a9b9d172f1ec
             exceptions-0.10.0-7FqenMMTX3xHtUICKpGQUY=1e7acabe11915a69b3faf108407a56c7
             filepath-1.4.2=f8b35940dbf3bb5331e1c5ab9738687d
             Glob-0.9.2-3Zs77lDsvOBGMOZZxpfXfB=9a9f099543a058a5b51d45dcff0441eb
             microstache-1.0.1.1-8V5enAA7Kv91pazNdLtQ6e=88b043904628206a3edcb86c7342a76d
             js-flot-0.8.3-Bsjxmw7L5o0BiJSkgBCarQ=682f148b16a4228534fb18ce1bf6b5c5
             js-jquery-3.3.1-9aeOjv2xLoam8cMk011zx=b1c9db04f8c4e94e4673e55c28c458f0
             mtl-2.2.2=3cf3b316ad8e985e039ee3b498a98253
             mwc-random-0.14.0.0-G3WB7Ur1ZQJ5WcBeaI4Sue=f9d32936c53f4ae9aeed1c5ddd994c91
             optparse-applicative-0.14.2.0-HP9LUm9H1yn1LWZqqMzXaQ=6826b8c28690283a16ba755021eeafca
             parsec-3.1.13.0=a963888603f65e0a8f63f07fffd516d6
             statistics-0.14.0.2-3g4u3jyGQ0j9YMys4ch34s=87705ecd27b5cddf1e260bbd882d151b
             text-1.2.3.0=be4c3e1c57cff1d501eb0e876706a48d
             time-1.8.0.2=976962cc6498b843f1efb5bef740838e
             transformers-0.5.5.0=633c3e5ec737c360775b452ce9aa1e0b
             transformers-compat-0.6.2-EZ0ZvADLUlc4V8RuKaJX5W=197a030c492741542d6f49bc76370bb8
             vector-0.12.0.1-1fezwShzdEfG3Hp1Pmvjkq=2d4c17574909e037fa0256847c747647
             vector-algorithms-0.7.0.4-5IwVwgBYaiLHifekCoPTVl=ca6dbcd1403e796b1ef13099b520f64e
haddock-interfaces: /usr/share/doc/haskell-criterion/html/criterion.haddock
haddock-html: /usr/share/doc/haskell-criterion/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

